Skip to main content
Topic solved
This topic has been marked as solved and requires no further attention.
Topic: SOLVED: virtualbox and icu 62/63 (wrong qt5-core installed) (Read 731 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

SOLVED: virtualbox and icu 62/63 (wrong qt5-core installed)

Has anyone else experienced this?
Virtualbox with all current updates (gremlins) is missing libicu.....62, while if I revert icu to 62 instead of 63 from gremlins it is missing libicu18n.so.62

I can't figure what has changed recently as I was just using it yesterday and it run fine.  None of the recent upgrades seem relevant.

Re: virtualbox and icu 62/63

Reply #1
I suspect that the problem is caused by using Artix gremlins but not using Arch testing repository.
Happy falling

Re: virtualbox and icu 62/63

Reply #2
If I use testing should I use core as well, because as I understand it testing has pkgs that are meant for core and extra.
I'll try it

Re: virtualbox and icu 62/63

Reply #3
For what reason do you want to use core ?

Yes, testing contains packages from core and extra, you need the extra part.
So, in my opinion if the testing is above extra and under artix repositories in pacman.conf it should be fine.
I would also recommend to use community-testing repository for the same reason as testing.

You can also check from what repository will package be update when you are doing update.

I am using it this way for about a year and there was almost no issue.
Happy falling

Re: virtualbox and icu 62/63

Reply #4
I have been using community-testing, and  now I enabled testing, upgraded some library pkgs, no difference.
I will try to remove vb and reinstall, I doubt nobody else here uses vb, so it must be something misconfigured in my system.


Re: virtualbox and icu 62/63

Reply #6
vlc is dead... this sucks

Re: virtualbox and icu 62/63

Reply #7
I figured out my problem, it was a mixup with qt5-core, which would result with an error using either 62 or 63.  Mistakenly it wasn't artix's version of qt5-core, it showed as corrupt.
All my fault, sorry.

Re: SOLVED: virtualbox and icu 62/63 (wrong qt5-core installed)

Reply #8
I was hit by this earlier today, did a migration to arch because I needed to get stuff done.

How can this be prevented? Some pacman mod to treat multiple versions in multiple repos differently?

I have the bad habit of doing pacman -Syyuu  , maybe that's what got me.

Re: SOLVED: virtualbox and icu 62/63 (wrong qt5-core installed)

Reply #9
I don't see how moving to arch helped.  The problem IS arch

Re: SOLVED: virtualbox and icu 62/63 (wrong qt5-core installed)

Reply #10
I don't see how moving to arch helped.  The problem IS arch
It allowed me to continue using my computer.

Same reason I use skype: don't like it, don't want it, but I need it to get the job done.

Re: SOLVED: virtualbox and icu 62/63 (wrong qt5-core installed)

Reply #11
It allowed me to continue using my computer.

I think you aren't understanding what is being said to you.  The problem IS arch so arch does not solve any problem.  The libicu problem is an arch problem.  You reply doesn't address the issue or the conversation at all, and is completely from left field.  Why do you throw in irrational discussions about skype when discussing a problem from an arch upgrade.

You could have reinstalled the Artix Iso as well, and the same result would have happened, but the upgrade was still broken, in Artix and Arch and anything else that uses Arch.

Re: SOLVED: virtualbox and icu 62/63 (wrong qt5-core installed)

Reply #12
I think you aren't understanding what is being said to you.  The problem IS arch so arch does not solve any problem.  The libicu problem is an arch problem.  You reply doesn't address the issue or the conversation at all, and is completely from left field.

You could have reinstalled the Artix Iso as well, and the same result would have happened, but the upgrade was still broken, in Artix and Arch and anything else that uses Arch.


No, arch simply worked.

Re: SOLVED: virtualbox and icu 62/63 (wrong qt5-core installed)

Reply #13
I figured out my problem, it was a mixup with qt5-core, which would result with an error using either 62 or 63.  Mistakenly it wasn't artix's version of qt5-core, it showed as corrupt.
All my fault, sorry.


the problem is that the  updates to libicu broke an number of packages and the rational thing to do, as far as I can tell, is to back out of the specific upgraded packages from the pacman cache.

FWIW, it seems to be fixed this morning.

Re: SOLVED: virtualbox and icu 62/63 (wrong qt5-core installed)

Reply #14

No, arch simply worked.


No arch was broken... and it seems you still have no idea what you are talking about.  Oh, and BTW it is not the first time Arch has broken this exact libaray and then scrambled to fix their breakage.... Simply the Arch update did not work.  And repeating otherwise  seems to be to be a form of trolling.